Skip to main content
GET
/
api
/
customers
/
detail
Get Customer Details
curl --request GET \
  --url http://127.0.0.1:8083/api/customers/detail \
  --header 'X-API-Key: <api-key>' \
  --header 'X-API-Secret: <api-key>'
{
  "customer_id": "<string>",
  "partner_customer_id": "<string>",
  "status": "Processing,Succeeded,Failed,Suspended",
  "created_at": "2023-11-07T05:31:56Z",
  "account_usage": {
    "operating_country": "<string>",
    "goods_service_description": "<string>",
    "industry_category_code": "<string>",
    "account_usage_product_reference": "<string>",
    "estimated_monthly_revenue_currency": "<string>",
    "estimated_monthly_revenue_amount": 123
  },
  "primary_contact": {
    "contact_phone": "<string>",
    "contact_email": "<string>"
  },
  "business_person_list": [
    {
      "residential_address": {
        "residential_address_line1": "<string>",
        "residential_address_city": "<string>",
        "residential_address_postcode": "<string>",
        "residential_address_country_code": "<string>",
        "residential_address_state": "<string>"
      },
      "identification": {
        "id_type": "<string>",
        "id_number": "<string>",
        "id_issuing_country_code": "<string>",
        "id_expiration_date": "2023-11-07T05:31:56Z",
        "id_issue_date": "2023-11-07T05:31:56Z",
        "id_document_front_file_id": "<string>",
        "id_document_back_file_id": "<string>"
      }
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Includes an API key in the HTTP headers to authenticate the client.

X-API-Secret
string
header
required

Includes an API secret in the HTTP headers to authenticate the client.

Query Parameters

partner_customer_id
string

Partner Customer Id

customer_id
string

Customer Id

Response

Operation Successful

customer_id
string
partner_customer_id
string
status
string

Status

Example:

"Processing,Succeeded,Failed,Suspended"

created_at
string<date-time>
business_details
object
account_usage
object
registration_address
object
primary_contact
object
business_person_list
object[]